Subject: bug#103: Details

From: intrigeri <[email-masked]>
Date: Mon, 31 Mar 2008 13:29:22 +0200

Hello,

I tried to further isolate the segfault cause.

I first ran a clean Emacs : emacs -Q -nw

Then I eval’d only the
  (defcustom al-german-common-words ...)
and the
  (defcustom al-german-8bit-words ...)
from auto-lang.el.

Then I tried to eval parts of (defvar al-german-common-8bit-regexp ... )
to find out which part of it makes Emacs segfault.

I could eval the following without any issue :
                     (mapcar 'string-as-unibyte
                      (append
                       al-german-common-words
                       al-german-8bit-words
                       nil))

But the following triggers the segfault :
                    (regexp-opt
                     (mapcar 'string-as-unibyte
                      (append
                       al-german-common-words
                       al-german-8bit-words
                       nil)))

So it seems the regexp-opt function call is the one that triggers
the segfault.

Bye,
-- 
  intrigeri <[email-masked]>